{ self, inputs, ... }:
{
  flake.nixosModules.bootloader = { pkgs, lib, inputs, ...}: {
    boot = {
      lanzaboote = {
        enable = true;
        pkiBundle = "/var/lib/sbctl";
        autoGenerateKeys.enable = true;
        autoEnrollKeys = {
          enable = true;
          autoReboot = true;
        };
      };
      loader = {
        systemd-boot = {
          enable = lib.mkForce false;
          configurationLimit = 2;
          extraEntries = {
            "winslop.conf" = ''
              title Winslop
              efi /EFI/Microsoft/Boot/bootmgfw.efi
            '';
          };
        };
        efi = {
            canTouchEfiVariables = true;
        };
      };
      kernel = {
        sysctl = {
         "vm.max_map_count" = 16777216;
         "fs.file-max" = 524288;
        };
      };
    }; #End of "boot"

    environment.systemPackages = [ pkgs.sbctl ];
  };
}
